> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Decode a Cardano address to extract payment credentials, staking credentials, and network information.

# Decode address



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /addresses/{address}/decode
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/{address}/decode:
    get:
      tags:
        - Addresses
      summary: Decode address
      description: >-
        Returns the different information encoded within a Cardano address,
        including details of the payment and delegation parts of the address
      operationId: decode_address
      parameters:
        - name: address
          in: path
          description: Address in bech32/hex/base58 format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Decode an address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressInfo'
              example:
                bech32: >-
                  addr_test1zp40k56s0pq085hyzyeclfh6l987el8xyze5v86h0pr7wzkvenlf6qfxx9s3re5y0pqh2ug89dynd8xsje5835f7sutslvktx9
                hex: >-
                  106afb53507840f3d2e411338fa6faf94fecfce620b3461f577847e70accccfe9d0126316111e68478417571072b49369cd0966878d13e8717
                network: testnet
                payment_cred:
                  kind: script
                  bech32: >-
                    addr_shared_vkh1dta4x5rcgrea9eq3xw86d7heflk0ee3qkdrp74mcglns58ucedk
                  hex: 6afb53507840f3d2e411338fa6faf94fecfce620b3461f577847e70a
                staking_cred:
                  kind: key
                  bech32: >-
                    stake_vkh1enx0a8gpycckzy0xs3uyzat3qu45jd5u6ztxs7x386r3wzy6dys
                  reward_address: >-
                    stake_test1urxvel5aqynrzcg3u6z8sst4wyrjkjfknngfv6rc6ylgw9cj72l60
                  hex: ccccfe9d0126316111e68478417571072b49369cd0966878d13e8717
                  pointer: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    AddressInfo:
      type: object
      description: Information decoded from a Cardano address
      required:
        - hex
      properties:
        bech32:
          type: string
          nullable: true
        hex:
          type: string
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
          nullable: true
        payment_cred:
          allOf:
            - $ref: '#/components/schemas/PaymentCredential'
          nullable: true
        staking_cred:
          allOf:
            - $ref: '#/components/schemas/StakingCredential'
          nullable: true
    NetworkId:
      type: string
      enum:
        - mainnet
        - testnet
    PaymentCredential:
      type: object
      description: Payment credential, the payment part of a Cardano address
      required:
        - kind
        - bech32
        - hex
      properties:
        bech32:
          type: string
          description: Bech32-encoding of the credential key hash or script hash
        hex:
          type: string
          description: Hex-encoding of the script or key credential
        kind:
          $ref: '#/components/schemas/PaymentCredKind'
    StakingCredential:
      type: object
      description: Staking credential, the delegation part of a Cardano address
      required:
        - kind
      properties:
        bech32:
          type: string
          description: Bech32-encoding of the credential key hash or script hash
          nullable: true
        hex:
          type: string
          nullable: true
        kind:
          $ref: '#/components/schemas/StakingCredKind'
        pointer:
          allOf:
            - $ref: '#/components/schemas/Pointer'
          nullable: true
        reward_address:
          type: string
          nullable: true
    PaymentCredKind:
      type: string
      enum:
        - key
        - script
    StakingCredKind:
      type: string
      enum:
        - key
        - script
        - pointer
    Pointer:
      type: object
      required:
        - slot
        - tx_index
        - cert_index
      properties:
        cert_index:
          type: integer
          format: int64
          minimum: 0
        slot:
          type: integer
          format: int64
          minimum: 0
        tx_index:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````